ASN2GB(1)

NAME
asn2gb - convert ASN.1 biological data to a GenBank-style flat format

SYNOPSIS
asn2gb [-] [-A accession] [-F] [-a asn-type] [-b] [-c] [-d] [-f format] [-g N] [-h N] [-i filename] [-j N] [-k N] [-l filename] [-m mode] [-n filename] [-o filename] [-p] [-q filename] [-r] [-s style] [-t N] [-u N] [-y N]

DESCRIPTION
asn2gb converts descriptions of biological sequences from NCBI's ASN.1 format to one of several flat-file formats, and is the successor to asn2ff(1).

OPTIONS
A summary of options is included below.

-   Print usage message

-A accession
    Accession to fetch

-F  Fetch remote annotations

-a asn-type
    ASN.1 Type:
    [Single record]
    a   Any (autodetected; default)
    e   seq-Entry
    b   Bioseq
    s   bioseq-Set
    m   seq-subMit
    q   Catenated
    [Release file; components individually processed and freed]
    t   baTch bioseq-set
    u   batch seq-sUbmit

-b  Input file is binary

-c  Batch file is compressed

-d  Seq-loc minus strand

-f format
    Format:
    b   GenBank (default)
    bp or pb
        GenBank and GenPept
    e   EMBL
    p   GenPept
    q   nucleotide GBSet (XML)
    r   protein GBSet (XML)
    t   Feature table only
    x   nucleotide INSDSet (XML)
    y   tiny seq (XML)
    Y   FASTA
    z   protein INSDSet (XML)

-g N
    Bit flags (all default to off):
    1   HTML
    2   XML
    4   ContigFeats
    8   ContigSrcs
    16  FarTransl

-h N
    Lock/Lookup Flags (all default to off):
    8   LockProd
    16  LookupComp
    64  LookupProd

-i filename
    Input file name (default = stdin)

-j N
    Start location (default is 0, beginning of sequence)

-k N
    End location (default is 0, end of sequence)

-l filename
    Log file

-m mode
    Mode:
    r   Release
    e   Entrez
    s   Sequin (default)
    d   Dump

-n filename
    Asn2Flat Executable (default = asn2flat)

-o filename
    Output file name (default = stdout)

-p  Propagate top descriptors

-q filename
    Ffdiff Executable (default = /netopt/genbank/subtool/bin/ffdiff)

-r  Enable remote fetching

-s style
    Style:
    n   Normal (default)
    s   Segment
    m   Master
    c   Contig

-t N
    Batch:
    1   Report
    2   Sequin/Release
    3   asn2gb SSEC/nocleanup
    4   asn2flat BSEC/nocleanup
    5   asn2gb/asn2flat
    6   asn2gb NEW dbxref/OLD dbxref
    7   oldasn2gb/newasn2gb
-u N Custom flags (all default to off):
    4   Hide features
    1792
        Hide references
    8192
        Hide sources
    262144
        Hide translations

-y N
    Feature itemID

AUTHOR
The National Center for Biotechnology Information.

SEE ALSO
asn2all(1), asn2asn(1), asn2ff(1), asn2fsa(1), asn2xml(1), asndhuff(1), insdseqget(1), asn2gb.txt.